%global drupaldir %{_datadir}/drupal6
Name: drupal6-footnotes
Version:  2.5
Release:  1%{?dist}
Summary:  Allows to easily create automatically numbered footnote references

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/footnotes
Source0: http://ftp.drupal.org/files/projects/footnotes-6.x-%{version}.tar.gz
Source1: drupal6-footnotes-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0

%description
Footnotes module can be used to easily create automatically numbered
footnote references into an article or post (such as a reference to a
URL).

%prep
%setup -qn footnotes

%build

cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/footnotes
cp -pr * %{buildroot}%{drupaldir}/modules/footnotes

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt drupal6-footnotes-fedora-README.txt Changelog.txt 
# Don't ship bundled wysiwyg editor as per the fedora guidelines of not shipping 
# bundled libs
%exclude %{drupaldir}/modules/footnotes/footnotes_wysiwyg
%exclude %{drupaldir}/modules/footnotes/tinymce_footnotes
%exclude %{drupaldir}/modules/footnotes/Changelog.txt
%exclude %{drupaldir}/modules/footnotes/LICENSE.txt
%exclude %{drupaldir}/modules/footnotes/README.txt
%exclude %{drupaldir}/modules/footnotes/drupal6-footnotes-fedora-README.txt
%{drupaldir}/modules/footnotes

%Changelog
* Wed Jan 19 2011 Sven Lankes <sven@lank.es> - 2.5-1
- new upstream release
- adjust License-Tag

* Mon Nov 22 2010 Sven Lankes <sven@lank.es> - 2.4-2
- Remove buildroot and buildroot-cleans from spec
- update drupaldir and Requires for upcoming drupal -> drupal6 rename
- Remove tinymce / wysiwyg component

* Wed Oct 13 2010 Sven Lankes <sven@lank.es> - 2.4-1
- Initial packaging.
